\tikzstyle{block} = [draw, rectangle, minimum height=2em, minimum width=4em]
\tikzstyle{pinstyle} = [pin edge={to-,thin,black}]

\begin{figure}[H]
\centering
\begin{tikzpicture}[auto,node distance=1cm, >=latex']
    \node [block] (digest) {Digest};
    \node [block, right of=digest, pin={[pinstyle]above:Passphrase},
    node distance=3.5cm] (keyslot) {Keyslot};
    \node [block, right of=keyslot, pin={[pinstyle]above:External Keystore},
    node distance=3.5cm] (token) {Token};
    \node [block, below of=digest, node distance=1.5cm] (config) {Config};
    \node [block, below of=keyslot, node distance=1.5cm] (segment) {Segment};
    \draw [->] (digest) -- node{validates} (keyslot);
    \draw [<-] (keyslot) -- node{can open} (token);
    \draw [->] (keyslot) -- node{is used for} (segment);
\end{tikzpicture}
\caption{LUKS2 objects relationships \cite{luks2}.}
\label{fig:luks2schema}
\end{figure}
